MCUX CLNS MCUX Crypto Library Normal Secure |

Data Fields
mcuxClCss_HwConfig_t Union Reference
mcuxClCss » mcuxClCss_Common » mcuxClCss_Common_Types

Result type of mcuxClCss_GetHwConfig. More...

`#include <mcuxClCss_Common.h>`

## Data Fields
struct {
uint32_t value
| Accesses the bit field as a full word. More...
} | word
| Access mcuxClCss_InterruptOptionSet_t word-wise. More...
struct {
uint32_t ciphersup:1
| Indicates whether the cipher command is supported. More...
uint32_t authciphersup:1
| Indicates whether the auth_cipher command is supported. More...
uint32_t ecsignsup:1
| Indicates whether the ecsign command is supported. More...
uint32_t ecvfysup:1
| Indicates whether the ecvfy command is supported. More...
uint32_t eckxchsup:1
| Indicates whether the dhkey_xch command is supported. More...
uint32_t keygensup:1
| Indicates whether the keygen command is supported. More...
uint32_t keyinsup:1
| Indicates whether the keyin command is supported. More...
uint32_t keyoutsup:1
| Indicates whether the keyout command is supported. More...
uint32_t kdeletesup:1
| Indicates whether the kdelete command is supported. More...
uint32_t keyprovsup:1
| Indicates whether the keyprov command is supported. More...
uint32_t ckdfsup:1
| Indicates whether the ckdf command is supported. More...
uint32_t hkdfsup:1
| Indicates whether the hkdf command is supported. More...
uint32_t tlsinitsup:1
| Indicates whether the tls_init command is supported. More...
uint32_t hashsup:1
| Indicates whether the hash command is supported. More...
uint32_t hmacsup:1
| Indicates whether the hmac command is supported. More...
uint32_t cmacsup:1
| Indicates whether the cmac command is supported. More...
uint32_t drbgreqsup:1
| Indicates whether the drbg_req command is supported. More...
uint32_t drbgtestsup:1
| Indicates whether the drbg_test command is supported. More...
uint32_t dtrgncfgloadsup:1
| Indicates whether the dtrng_cfg_load command is is supported. More...
uint32_t dtrngevalsup:1
| Indicates whether the dtrng_eval command is supported. More...
uint32_t gdetcfgloadsup:1
| Indicates whether the gdet_cfg_load command is supported. More...
uint32_t gdettrimsup:1
| Indicates whether the gdet_trim command is supported. More...
uint32_t __pad0__:10
| RFU. More...
} | bits
| Access mcuxClCss_InterruptOptionSet_t bit-wise. More...

## Detailed Description

Result type of mcuxClCss_GetHwConfig.

Contains CSS configuration values.

Examples
  common_get_info.c.

## Field Documentation

## ◆ value

uint32_t mcuxClCss_HwConfig_t::value

Accesses the bit field as a full word.

## ◆ word

struct { ... } mcuxClCss_HwConfig_t::word

Access mcuxClCss_InterruptOptionSet_t word-wise.

## ◆ ciphersup

uint32_t mcuxClCss_HwConfig_t::ciphersup

Indicates whether the cipher command is supported.

Examples
  common_get_info.c.

## ◆ authciphersup

uint32_t mcuxClCss_HwConfig_t::authciphersup

Indicates whether the auth_cipher command is supported.

Examples
  common_get_info.c.

## ◆ ecsignsup

uint32_t mcuxClCss_HwConfig_t::ecsignsup

Indicates whether the ecsign command is supported.

Examples
  common_get_info.c.

## ◆ ecvfysup

uint32_t mcuxClCss_HwConfig_t::ecvfysup

Indicates whether the ecvfy command is supported.

Examples
  common_get_info.c.

## ◆ eckxchsup

uint32_t mcuxClCss_HwConfig_t::eckxchsup

Indicates whether the dhkey_xch command is supported.

Examples
  common_get_info.c.

## ◆ keygensup

uint32_t mcuxClCss_HwConfig_t::keygensup

Indicates whether the keygen command is supported.

Examples
  common_get_info.c.

## ◆ keyinsup

uint32_t mcuxClCss_HwConfig_t::keyinsup

Indicates whether the keyin command is supported.

Examples
  common_get_info.c.

## ◆ keyoutsup

uint32_t mcuxClCss_HwConfig_t::keyoutsup

Indicates whether the keyout command is supported.

Examples
  common_get_info.c.

## ◆ kdeletesup

uint32_t mcuxClCss_HwConfig_t::kdeletesup

Indicates whether the kdelete command is supported.

Examples
  common_get_info.c.

## ◆ keyprovsup

uint32_t mcuxClCss_HwConfig_t::keyprovsup

Indicates whether the keyprov command is supported.

## ◆ ckdfsup

uint32_t mcuxClCss_HwConfig_t::ckdfsup

Indicates whether the ckdf command is supported.

Examples
  common_get_info.c.

## ◆ hkdfsup

uint32_t mcuxClCss_HwConfig_t::hkdfsup

Indicates whether the hkdf command is supported.

Examples
  common_get_info.c.

## ◆ tlsinitsup

uint32_t mcuxClCss_HwConfig_t::tlsinitsup

Indicates whether the tls_init command is supported.

Examples
  common_get_info.c.

## ◆ hashsup

uint32_t mcuxClCss_HwConfig_t::hashsup

Indicates whether the hash command is supported.

Examples
  common_get_info.c.

## ◆ hmacsup

uint32_t mcuxClCss_HwConfig_t::hmacsup

Indicates whether the hmac command is supported.

Examples
  common_get_info.c.

## ◆ cmacsup

uint32_t mcuxClCss_HwConfig_t::cmacsup

Indicates whether the cmac command is supported.

## ◆ drbgreqsup

uint32_t mcuxClCss_HwConfig_t::drbgreqsup

Indicates whether the drbg_req command is supported.

## ◆ drbgtestsup

uint32_t mcuxClCss_HwConfig_t::drbgtestsup

Indicates whether the drbg_test command is supported.

## ◆ dtrgncfgloadsup

uint32_t mcuxClCss_HwConfig_t::dtrgncfgloadsup

Indicates whether the dtrng_cfg_load command is is supported.

Examples
  common_get_info.c.

## ◆ dtrngevalsup

uint32_t mcuxClCss_HwConfig_t::dtrngevalsup

Indicates whether the dtrng_eval command is supported.

Examples
  common_get_info.c.

## ◆ gdetcfgloadsup

uint32_t mcuxClCss_HwConfig_t::gdetcfgloadsup

Indicates whether the gdet_cfg_load command is supported.

## ◆ gdettrimsup

uint32_t mcuxClCss_HwConfig_t::gdettrimsup

Indicates whether the gdet_trim command is supported.

## ◆ __pad0__

uint32_t mcuxClCss_HwConfig_t::__pad0__

RFU.

## ◆ bits

struct { ... } mcuxClCss_HwConfig_t::bits

Access mcuxClCss_InterruptOptionSet_t bit-wise.

Examples
  common_get_info.c.